<?php

session_start();

set_time_limit( 0 );

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';

if ( !isset( $_SESSION['id'] ) ) {
    echo '<div class="big_topics bor_top round3 FFF hr"><font color="red"><b>Ошибка!</b> Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</font></div>';
} else {
$config_user = $pdo->Query("SELECT * from php_user WHERE id = '" . $_SESSION['id'] . "'")->fetch(PDO::FETCH_BOTH);
/*---Обрезаем email для защиты---*/
$start_end_email = preg_match( "/^([a-z0-9\-\.\_]+)(@[a-z0-9]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})/is", $config_user['email'], $outemail );
$sec_email_user = substr( $outemail[1], 0, 1 ) . '*******' . substr( $outemail[1], -1) . $outemail[2];

/*---Дата последнего входа---*/
 $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
 if ( date( 'd.m.Y', $config_user['regdata'] ) == date( 'd.m.Y', time() ) ) {
  $frd_logindate = 'сегодня в ' . date( 'H:i', $config_user['regdata'] ) . '';
 } else {
  $frd_logindate = '' . ( int ) date( 'd', $config_user['regdata'] ) . ' ' . $month[( int ) date( 'm', $config_user['regdata'] ) - 1] . ' ' . date( 'Y', $config_user['regdata'] ) . '';
 }

 /*---Для выделения меню---*/
$url_page = $_SERVER['REQUEST_URI'];
$bg = 'class="mmmenu"';
$bg1 = 'class="mmenu"';
?>
  <?
 if ( !isset( $_SESSION['id'] ) or $config_user['account'] != 5 ) {
 echo '';
 } else {
    ?>
  <div class="big_topics bor_top round3 FFF hr">
      <div class="main_top hr_menu padd5">
    <a <? if ( strpos( $url_page, 'admhome' ) ) echo $bg; else echo $bg1; ?> href="/admhome">Мод.Товаров</a>
    <a <? if ( strpos( $url_page, 'userpay' ) ) echo $bg; else echo $bg1; ?> href="/userpay">Выплаты</a>
    <a <? if ( strpos( $url_page, 'userlist' ) ) echo $bg; else echo $bg1; ?> href="/userlist">Пользователи</a>
    <a <? if ( strpos( $url_page, 'alltovar' ) ) echo $bg; else echo $bg1; ?> href="/alltovar">Все товары</a>
     <a <? if ( strpos( $url_page, 'set_con' ) ) echo $bg; else echo $bg1; ?> href="/set_con">Платежки</a>
<a <? if ( strpos( $url_page, 'all_con' ) ) echo $bg; else echo $bg1; ?> href="/all_con">Др. настройки</a>
<a <? if ( strpos( $url_page, 'coment' ) ) echo $bg; else echo $bg1; ?> href="/coment">Комментарии</a>
	 </div>
       
       <div class="wrap_user_r">
       <div class="menu_title">Список всех пользователей:</div>
        <div class="padd5"></div>


        <style>

#main{
  overflow:hidden;
  top:expression(document.getElementsByTagName('body')[0].scrollTop+'px');
  width:740px;
  height: 900px;
}

#content{
  width:740px;
  height:900px;
  overflow: auto;
}

#wscroll{
  position:absolute;
  width:1px;
  top:0;
  left:0;
}

</style>
        <script type="text/javascript">
var el_id='content';

//Возвращает: координаты x/y, ширину, высоту элемента
var el_xy=abs_pos(el_id);

//коорд. Y + высота элемент #content
var el_yh=(el_xy['y']+el_xy['h']);

//Высота #content с учетом прокрутки
var el_sh=get_scroll_height(el_id);

//Ширина и высота окна (видимая область сайта)
var cw=get_client_width();
var ch=get_client_height();

/* Центрируем элемент #main */
var xy=abs_pos('main');
if(cw>xy['w']) set_style('main', 'marginLeft', ((cw-xy['w'])/2));
if(ch>xy['h']) set_style('main', 'marginTop', ((ch-xy['h'])/2));

/*
Условия:
  1) Прокручиваемый элемент должен быть полностью виден в окне браузера.
  2) Наличие скрытого текста для прокрутки.
*/

if(ch>=el_yh && el_sh>el_xy['h']){
//Закрепляем фон страницы
  set_style(get_doc_body(), 'backgroundAttachment', 'fixed');

//Высота окна + высота скрытой части текста
  var el_ys=ch+(el_sh-el_xy['h']);

//Задаем длину линии #wscroll для ее прокрутки
  set_style('wscroll', 'height', el_ys);

//Скрываем элементы прокрутки #content
  set_style(el_id, 'overflow', 'hidden');

//Фиксируем элемент #main
  set_style('main', 'position', 'fixed');

//Если неподдерживается fixed, то задаем обратно absolute (на всякий случай).
  if(get_style('main', 'position')!='fixed')
    set_style('main', 'position', 'absolute');

/*
Функция-обработчик события OnScroll окна браузера,
ассоциируем с прокруткой элемента #content.
*/
  var func=function(){
//get_scroll_top(элемент) - возвращает значение прокрутки.
//Для кроссбраузерности: (document.documentElement || document.body), (0 || 1)=1
    set_scroll_top(el_id, (get_scroll_top(document.documentElement) || get_scroll_top(document.body)));
  }

  if(typeof(document.onscroll)!=='undefined') document.onscroll=func;
  else window.onscroll=func;

}else set_style('main', 'top', 0);
</script>
 <div id="wscroll"></div>

<div id="main">
  <div id="content">
  <div style="overflow: hidden;">
    <div style="width: 1000%;">
	<div style="float: left; width: 315px; ">
     <form method = "POST">
      сортировка <select required size = "1" name = "name">
        <option  value = "id">По id</option>
        <option value = "money">По деньгам</option>
		<option value = "money_out">По деньгам (вывел)</option>
		<option value = "authtime">По дате активности </option>
    </select>
    <input type = "submit" value = "Выполнить">
</form>
</div>
<div style="float: left; width: 280px; ">
     <form method = "POST">
      поиск <input type="text" name="login" placeholder="Логин" />
    </select>
    <input type = "submit" value = "Выполнить">
</form>
</div>
</div>
</div>
    <?
	$login=trim(clean($_POST[login]));
	 if($login!=""){ $login='where login="'.$login.'" ';}
	
    $name=clean($_POST[name]);
    if($name==""){ $name='id';}
    $sql = $pdo->Query("SELECT * FROM `php_user` $login ORDER BY `$name` DESC");
    while($show_users_row = $sql->Fetch())
    {


       /*---Дата последнего входа---*/
       $month = array( 'янв', 'фев', 'мар', 'апр', 'мая', 'июня', 'июля', 'авг', 'сен', 'окт', 'ноя', 'дек' );
       if ( date( 'd.m.Y', $show_users_row['regdata'] ) == date( 'd.m.Y', time() ) ) {
         $frd_date = 'сегодня в ' . date( 'H:i', $show_users_row['regdata'] ) . '';
       } else {
         $frd_date = '' . ( int ) date( 'd', $show_users_row['regdata'] ) . ' ' . $month[( int ) date( 'm', $show_users_row['regdata'] ) - 1] . ' ' . date( 'Y', $show_users_row['regdata'] ) . '';
       }

       /*---Дата последнего входа---*/
       $month = array( 'янв', 'фев', 'мар', 'апр', 'мая', 'июня', 'июля', 'авг', 'сен', 'окт', 'ноя', 'дек' );
       if ( date( 'd.m.Y', $show_users_row['authtime'] ) == date( 'd.m.Y', time() ) ) {
         $auth_date = '<font color="orange">сегодня в ' . date( 'H:i', $show_users_row['authtime'] ) . '</font>';
       } else {
         $auth_date = '' . ( int ) date( 'd', $show_users_row['authtime'] ) . ' ' . $month[( int ) date( 'm', $show_users_row['authtime'] ) - 1] . ' ' . date( 'Y', $show_users_row['authtime'] ) . '';
       }

       $ex_us_money = explode( '.', $show_users_row['money'], 2 );
       $us_money = '<span style="font-size:12px">' . $ex_us_money[0] . '</span>,<span style="font-size:11px">' . $ex_us_money[1] . '</span>';

       $ex_us_money_out = explode( '.', $show_users_row['money_out'], 2 );
       $us_money_out = '<span style="font-size:12px">' . $ex_us_money_out[0] . '</span>,<span style="font-size:11px">' . $ex_us_money_out[1] . '</span>';


        ?>
        <div id="id<?=$show_users_row['id']?>" class="wrap_ref" style="height: 90px;">
            <div class="ref_info" style="width: 300px; top: 5px; font-size: 12px;">
                ID: <b><?=$show_users_row['id']?></b><br />
                Имя: <b><?=$show_users_row['login']?></b><br />
                Денег: <b><span style="color:#04A504"><?=$us_money?></span></b><br />
                Денег вывел: <b><span style="color:#B20316"><?=$us_money_out?></span></b><br />
                IP: <b><?=$show_users_row['auth_ip']?></b>
        </div>
        <div class="ref_info2" style="width: 350px; top: 5px; font-size: 12px;">
                Страна: <b><?=$show_users_row['country']?></b><br />
                Регион: <b><?=$show_users_row['region']?></b><br />
                Город: <b><?=$show_users_row['city']?></b><br />
                Регистрация: <b><?=$frd_date?></b><br />
                Активность: <b><?=$auth_date?></b>
        </div>
        <div style="position: absolute; right: 5px; bottom: 17px;">
            <a id="uedit<?=$show_users_row['id']?>" class="medit" onclick="Page.Go(this.href); return false" onmouseover="titlehtml.title('<?=$show_users_row['id']?>', 'Редактировать', 'uedit')" href="/userlist&edit=<?=$show_users_row['id']?>"></a>
            <a style="right: 20px;" id="udel<?=$show_users_row['id']?>" class="mdel" onmouseover="titlehtml.title('<?=$show_users_row['id']?>', 'Удалить', 'udel')" onclick="del(<?=$show_users_row['id']?>);return false;" href="#"></a>
        </div>
    </div>
        <?
    }
    ?>

        </div>
</div>
       </div>

 </div>

<?}}?>